#
# spec file for package rubygem-redis-client
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-redis-client
Version:        0.23.2
Release:        1.1
%define mod_name redis-client
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.6.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/redis-rb/redis-client
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple low-level client for Redis 6+
License:        MIT

%description
Simple low-level client for Redis 6+.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Mon Feb  3 2025 Dan Čermák <dan.cermak@posteo.net>
- # 0.23.2
- Fix retry logic not to attempt to retry on an open circuit breaker. Fix #227.
  [#] 0.23.1
- Fix a potential crash in `hiredis-client` when using subcriptions (`next_event`). See #221.
  [#] 0.23.0
- Allow `password` to be a callable. Makes it easy to implement short lived password authentication strategies.
- Fix a thread safety issue in `hiredis-client` when using the `pubsub` client concurrently.
* Mon Dec  9 2024 Marcus Rueckert <mrueckert@suse.de>
- initial package
